/* General styles for Material Design */
body {
    font-family: Roboto, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f5f5f5;
    color: #333;
}

button#menu-button {
    padding: 10px 20px;
    border: none;
    color: white;
    background-color: black;
    cursor: pointer;
    font-size: 2em;
}

#pop-up-menu {
    position: fixed;
    top: 0;
    right: -100%; /* Initially hidden off-screen */
    width: 300px;
    height: 100%;
    border-radius: 15px 0 0 15px;
    background-color: #333333;
    transition: right 0.3s ease-in-out;
    z-index: 10; /* Ensure menu overlaps other content */
}

#pop-up-menu.active {
    right: 0; /* Slide menu into view */
}

#pop-up-menu ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

#pop-up-menu li {
    margin-bottom: 10px;
}

#pop-up-menu a {
    display: block;
    padding: 10px 20px;
    text-decoration: none;
    font-size: 1.2em;
    color: white;
}

#pop-up-menu a:hover {
    background-color: #555555;
}

@media only screen and (max-width: 768px) {
    button#menu-button {
        top: 5px;
        right: 5px;
    }

    #pop-up-menu {
        width: 80%; /* Adjust width for smaller screens */
    }
}

/* Responsive adjustments for mobile */
@media (max-width: 768px) {
    .left-column,
    .right-column {
        width: 100%;
    }

    .blank-block {
        display: none;
    }
}

.container {
    max-width: 1280px;
    width: 90%;
    margin: 0 auto;
    padding: 20px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

header {
    background-color: #000000;
    color: #fff;
    display: flex;
    align-items: center;
    padding: 15px;
}

.logo {
    height: 50px;
    margin-right: 15px;
}

nav {
    flex-grow: 1;
    text-align: right;
}

/* Main content styles */
main {
    display: flex;
}

.left-column {
    flex: 1 0 30%;
    padding: 15px;
}

.right-column {
    flex: 1 0 60%;
    padding: 15px;
}

.blank-block {
    /* Styles for blank block */
}

#controls {
    text-align: start;
    margin: 10px auto;
    min-width: 360px;
}

#controls div {
    margin: 10px 0;
}

#controls div input[type="radio"] {
    margin-right: 2em;
}

#controls div input[type="text"] {
    max-width: 450px;
}

#controls div input[type="textarea"] {
    max-width: 450px;
}

#controls details {
    padding-top: 20px;
}

#controls details::-webkit-details-marker {
    display: none;
}

#upload {
    display: none;
}

.file-upload-button {
    display: inline-block;
    background-color: #3f51b5;
    color: white;
    padding: 5px 20px;
    border: 1px solid #3f51b5;
    border-radius: 5px;
    margin-bottom: 5px;
    cursor: pointer;
}
  
.file-upload-button:hover {
    background-color: #3f60ff;
}

.help-block {
    margin-top: 15px;
    /* Styles for help message and introduction */
}

#help-content {
    width: 90%;
    margin: 0 auto;
    padding: 20px;
}

.image-block {
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.image-block img {
    max-width: 90%;
    height: auto;
    margin: 10px auto;
}

.button {
    background-color: #3f51b5;
    color: #fff;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
}

.download-button {
    background-color: #3f51b5;
    color: #fff;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    max-width: 50%;
    cursor: pointer;
    /* Opacity for hover/touch */
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
}

.image-block:hover .download-button,
.image-block:active .download-button {
    opacity: 1;
}

.input {
    display: block;
}

